
renderingOptions:
  submitButtonLabel: 'Send Message!'
  useInvisibleRecaptcha: true
type: Form
identifier: contactForm
label: 'Main contact'
prototypeName: standard
finishers:
  -
    options:
      message: ''
      contentElementUid: '1352'
    identifier: Confirmation
  -
    options:
      subject: 'Contact form submitted'
      recipients:
        office-usa@example.com: Example
      senderAddress: office-usa@example.com
      senderName: Example
      addHtmlPart: true
      attachUploads: true
      translation:
        language: ''
      useFluidEmail: false
      title: ''
      templatePathAndFilename: 'EXT:form/Resources/Private/Frontend/Templates/Finishers/Email/Html.html'
    identifier: EmailToReceiver
  - identifier: SaveToDatabase
    options:
      table: 'tx_rmsitesetup_contact_form'
      mode: 'insert'
      databaseColumnMappings:
        crdate:
          value: '{__currentTimestamp}'
        tstamp:
          value: '{__currentTimestamp}'
        pid:
          value: 196
        campaign_id:
          value: 1041
        sent_at:
          value: 0
        form_url:
          value: '{request.requestUri}'
        hubspot_form:
          value: '860670ad-bc34-46a4-bb50-c59967058e90'
      elements:
        text-1:
          mapOnDatabaseColumn: 'first_name'
        text-2:
          mapOnDatabaseColumn: 'last_name'
        email-1:
          mapOnDatabaseColumn: 'mail'
        telephone-1:
          mapOnDatabaseColumn: 'phone'
        company-1:
          mapOnDatabaseColumn: 'company'
        countryselect-1:
          mapOnDatabaseColumn: 'country'
        stateselect-1:
          mapOnDatabaseColumn: 'state'
        textarea-1:
          mapOnDatabaseColumn: 'message'
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-1
    label: Step
    renderables:
      -
        type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: text-1
            label: 'First name'
            properties:
              elementDescription: ''
              fluidAdditionalAttributes:
                placeholder: 'first name*'
                required: required
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: text-2
            label: 'Last name'
            properties:
              fluidAdditionalAttributes:
                placeholder: 'last name*'
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-2
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Email
            identifier: email-1
            label: 'Work e-mail'
            properties:
              fluidAdditionalAttributes:
                placeholder: 'work e-mail*'
                required: required
            validators:
              -
                identifier: EmailAddress
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: company-1
            label: Company
            properties:
              fluidAdditionalAttributes:
                placeholder: 'company name*'
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-3
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Telephone
            identifier: telephone-1
            label: Phone
            properties:
              fluidAdditionalAttributes:
                placeholder: phone
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
      -
        type: GridRow
        identifier: gridrow-4
        label: 'Grid: Row'
        renderables:
          -
            type: ExtCountrySelect
            identifier: countryselect-1
            label: Country
          - defaultValue: ''
            type: SingleSelect
            identifier: stateselect-1
            label: State
            properties:
              options:
                'OTHER': 'Select your state / province'
                'US-AL': 'Alabama'
                'US-AK': 'Alaska'
                'US-AZ': 'Arizona'
                'US-AR': 'Arkansas'
                'US-CA': 'California'
                'US-CO': 'Colorado'
                'US-CT': 'Connecticut'
                'US-DE': 'Delaware'
                'US-DC': 'District of Columbia'
                'US-FL': 'Florida'
                'US-GA': 'Georgia'
                'US-GU': 'Guam'
                'US-HI': 'Hawaii'
                'US-ID': 'Idaho'
                'US-IL': 'Illinois'
                'US-IN': 'Indiana'
                'US-IA': 'Iowa'
                'US-KS': 'Kansas'
                'US-KY': 'Kentucky'
                'US-LA': 'Louisiana'
                'US-ME': 'Maine'
                'US-MD': 'Maryland'
                'US-MA': 'Massachusetts'
                'US-MI': 'Michigan'
                'US-MN': 'Minnesota'
                'US-MS': 'Mississippi'
                'US-MO': 'Missouri'
                'US-MT': 'Montana'
                'US-NE': 'Nebraska'
                'US-NV': 'Nevada'
                'US-NH': 'New Hampshire'
                'US-NJ': 'New Jersey'
                'US-NM': 'New Mexico'
                'US-NY': 'New York'
                'US-NC': 'North Carolina'
                'US-ND': 'North Dakota'
                'US-OH': 'Ohio'
                'US-OK': 'Oklahoma'
                'US-OR': 'Oregon'
                'US-PA': 'Pennsylvania'
                'US-PR': 'Puerto Rico'
                'US-RI': 'Rhode Island'
                'US-SC': 'South Carolina'
                'US-SD': 'South Dakota'
                'US-TN': 'Tennessee'
                'US-TX': 'Texas'
                'US-UT': 'Utah'
                'US-VT': 'Vermont'
                'US-VA': 'Virginia'
                'US-WA': 'Washington'
                'US-WV': 'West Virginia'
                'US-WI': 'Wisconsin'
                'US-WY': 'Wyoming'
                'CA-AB': 'Alberta'
                'CA-BC': 'British Columbia'
                'CA-MB': 'Manitoba'
                'CA-NF': 'Newfoundland and Labrabor'
                'CA-NB': 'New Brunswick'
                'CA-NS': 'Nova Scotia'
                'CA-NT': 'Northwest Territories'
                'CA-NU': 'Nunavut'
                'CA-ON': 'Ontario'
                'CA-PE': 'Prince Edward Island'
                'CA-QC': 'Québec'
                'CA-SK': 'Saskatchewan'
                'CA-YT': 'Yukon Territory'
              fluidAdditionalAttributes:
                placeholder: 'state / province'
                required: required
            validators:
              - identifier: NotEmpty
      -
        type: GridRow
        identifier: gridrow-5
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Textarea
            identifier: textarea-1
            label: Message
            properties:
              fluidAdditionalAttributes:
                placeholder: 'your message'
      -
        type: GridRow
        identifier: gridrow-6
        label: 'Grid: Row'
        renderables:
          -
            properties:
              text: 'By clicking the button below, you are agreeing to our <a href="/us/privacy">Privacy Policy.</a>'
            type: StaticText
            identifier: statictext-1
            label: 'Privacy Policy'
      - renderingOptions:
          submitButtonLabel: true
        type: Recaptcha
        identifier: recaptcha-1
        label: reCAPTCHA
        validators:
          - identifier: Recaptcha

